Name:			os-collect-config
Version:		5.0.0
Release:		6%{?dist}
Summary:		Collect and cache metadata running hooks on changes

License:		ASL 2.0
URL:			http://pypi.python.org/pypi/%{name}
Source0:		http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz
Source1:		os-collect-config.service
Source2:		os-collect-config.conf

BuildArch:		noarch
BuildRequires:		python2-setuptools
BuildRequires:		python2-devel
BuildRequires:		systemd
BuildRequires:		python2-pbr

Requires:		python2-pbr
Requires:		python2-setuptools
Requires:		python2-anyjson
Requires:		python2-dogpile-cache
Requires:		python2-eventlet
Requires:		python2-heatclient
Requires:		python2-keystoneclient
Requires:		python2-requests
Requires:		python2-iso8601
Requires:		python2-lxml
Requires:		python2-six
Requires:		python2-oslo-config
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd

%description
Service to collect openstack heat metadata.

%prep

%setup -q -n %{name}-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/os-collect-config.service
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/os-collect-config.conf

# Delete tests
rm -fr %{buildroot}%{python2_sitelib}/os_collect_config/tests

%post
%systemd_post os-collect-config.service

%preun
%systemd_preun os-collect-config.service

%postun
%systemd_postun_with_restart os-collect-config.service

%files
%doc README.rst
%doc LICENSE
%{_bindir}/os-collect-config
%config(noreplace) %attr(-, root, root) %{_sysconfdir}/os-collect-config.conf
%{python2_sitelib}/os_collect_config*
%{_unitdir}/os-collect-config.service

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 21 2018 Iryna Shcherbina <ishcherb@redhat.com> - 5.0.0-5
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Oct 06 2016 James Slagle <jslagle@redhat.com> - 5.0.0-1
- Update to 5.0.0-1

* Wed Oct 05 2016 James Slagle <jslagle@redhat.com> 0.1.37-1
- Update to 0.1.37-1
- Remove requires on python-argparse

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.36-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.36-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 20 2015 James Slagle <jslagle@redhat.com> 0.1.36-4
- Add BuildRequires: python-pbr

* Tue Oct 20 2015 James Slagle <jslagle@redhat.com> 0.1.36-3
- Add Requires: python-pbr

* Tue Oct 20 2015 James Slagle <jslagle@redhat.com> 0.1.36-2
- Remove 0001-Remove-pbr-runtime-dependency-and-replace-with-build.patch

* Mon Oct 19 2015 James Slagle <jslagle@redhat.com> 0.1.36-1
- Update to upstream 0.1.36-1

* Fri Sep 12 2014 James Slagle <jslagle@redhat.com> 0.1.28-1
- Update to upstream 0.1.28
- Add requires on python-dogpile-cache

* Fri Sep 12 2014 James Slagle <jslagle@redhat.com> 0.1.21-1
- Update to upstream 0.1.21
- Add requires on python-heatclient

* Thu Sep 11 2014 James Slagle <jslagle@redhat.com> - 0.1.11-7
- Switch to rdopkg.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 25 2014 Steven Dake <sdake@redhat.com> - 0.1.11-5
- install a os-collect-config default conf file

* Mon Feb 24 2014 Steven Dake <sdake@redhat.com> - 0.1.11-4
- Make runtime version calculation instead of using python-pbr

* Thu Feb 20 2014 Steven Dake <sdake@redhat.com> - 0.1.11-3
- Added missing dependency python-anyjson
- Added missing build requires python-pbr

* Thu Feb 20 2014 Steven Dake <sdake@redhat.com> - 0.1.11-2
- Fixed missing dependency python-oslo-config
- Added cr after every changelog entry

* Wed Feb 19 2014 Steven Dake <sdake@redhat.com> - 0.1.11-1
- Update to version 0.1.11
- Add python2-devel build requires
- Add systemd for post/preun/postun buildrequires
- Add a systemd postun scriptlet
- Make setup quiet

* Tue Oct 15 2013 Lucas Alvares Gomes <lgomes@redhat.com> - 0.1.2-1
- Update to version 0.1.2

* Fri Sep 6 2013 Lucas Alvares Gomes <lgomes@redhat.com> - 0.0.1-1
- Initial version
